Subject: Re: [PATCH/RFC] powerpc: Fix mmap of PCI resource with hack for X

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 14 Nov 2006 14:02:51 +1100

> > So the gist of your change is that X isn't obtaining BAR values
> > in the correct context on powerpc, and so you're going to hack up
> > the "devices" files output to "help" X out.
> > 
> > This doesn't sound sane to me.
> 
> It doesn't sound terribly sane to me.  What's wrong with just opening
> /sys/bus/pci/devices/*/resource[0-5]?  It seems like that solves all the
> problems.

We have to, that's how we get current X to work. Of course it will be
much better once X uses sysfs, no question about that.

Ben.